Skip to Content

POST /profile/csv

Parse Profile Csv

Parse a CSV file and return mapped items for preview.

Request Body

FieldTypeRequiredDescription
filestringNo—
idempotency_keystringNo—
softbooleanNo—
acceptbooleanNo—

Response (ParseProfileCsvApiResponse)

FieldTypeRequiredDescription
upload_idstringYes—
itemsCreateProfileItem[]Yes—
mapped_fieldsstring[]Yes—
row_countintegerYes—
idempotency_keystringNoServer-minted soft-call key (audit call_id). On a soft propose, echo this back with accept to promote/reject the staged raw-CSV upload. NOTE: ack returns no items (the preview is only on the propose).
Last updated on